import { BasicPageParams, BasicFetchResult } from '@/api/model/baseModel';
export type tableParams = Partial<BasicPageParams>;

export interface GetUserListItem {
  id: string;
  name: string;
  email: string;
  phone: string;
  avatar: number;
  [key: string]: string | number;
}
export interface sendingMailModel {
  sender: string;
  receiver: Object;
  cc: Object;
  bcc: Object;
  subject: string;
  content: string;
  attachmentList: string;
  docCode: string;
}

export interface addAccountParams {
  email: string;
  password: string;
  aliasEmail: string;
  biSyncFlag: boolean;
  proxyFlag: boolean;
  receiveProtocol: string;
  receiveSSL: boolean;
  receivePort: string;
  receiveHost: string;
  smtpSSL: boolean;
  smtpPort: string;
  smtpHost: string;
  invalid: string;
}

export type GetUserListModel = BasicFetchResult<GetUserListItem>;
